﻿Type=Activity
Version=3.82
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals

End Sub

Sub Globals

    Private xMovieView As MovieView
				Private ContainerPanel As Panel
				Private TitleLabel As Label
				Private MovieSeekBar As SeekBar
				Private PlayButton As Button
				Private PauseButton As Button
				Private StopButton As Button

End Sub

Sub Activity_Create(FirstTime As Boolean)

    Activity.LoadLayout("MoviePlayer")
				
				DoEvents

				xMovieView.Initialize("xMovieView")
				
				Activity.AddView(xMovieView, TitleLabel.Left, TitleLabel.Top + ContainerPanel.Top, TitleLabel.Width, TitleLabel.Height)
				
				xMovieView.Load(File.DirDefaultExternal, Main.SelectedMovie, True)	
			
			 TitleLabel.Visible = False
				
				PlayButton.Enabled = True
				
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause(UserClosed As Boolean)

    xMovieView.Stopped = True

End Sub

Sub PlayButton_Click

				xMovieView.Paused = False
				
				TitleLabel.Visible = False
				
				PlayButton.Enabled = False
				PauseButton.Enabled = True
				StopButton.Enabled = True

End Sub

Sub PauseButton_Click

				xMovieView.Paused = True
				
				PlayButton.Enabled = True
				PauseButton.Enabled = False
				StopButton.Enabled = True
	
End Sub

Sub StopButton_Click
				
				xMovieView.Stopped = True
				
				PlayButton.Enabled = True
				PauseButton.Enabled = False
				StopButton.Enabled = False		
	
End Sub

Sub xMovieView_Load(Frames As Int)
	
	   MovieSeekBar.Max = Frames
	   MovieSeekBar.Value = 0
		
End Sub

Sub xMovieView_Frame(Frame As Int, Total As Int)
  
		  MovieSeekBar.Value = Frame

End Sub

Sub MovieSeekBar_ValueChanged(Value As Int, UserChanged As Boolean)

	   If UserChanged = True Then
		
		     xMovieView.Frame = Value
	
	   End If
	
End Sub